public class Artikel
{
    private String artikelNr = new String();
    private String bezeichnung = new String();
    private int bestand;
    private double preis;
    
    
    public Artikel(String pNeueArtikelNr, String pBezeichnung, double pPreis, int pStueck)
    {  artikelNr = pNeueArtikelNr;
       bezeichnung = pBezeichnung;
       preis = pPreis;
       bestand = pStueck;
    }
    void setArtikelNr(String pNeueNummer)
    {
    artikelNr = pNeueNummer;
    }
    
    void setBezeichnung(String pneueBezeichnung)
    {
    bezeichnung = pneueBezeichnung;
    }
    
    void setPreis(double pNeuerPreis)
    {
    preis = pNeuerPreis;
    }
    
    String getArtikelNr()
    {
    return artikelNr;
    }
    
    String getBezeichnung()
    {
    return bezeichnung;
    }
    
    double getPreis()
    {
    return preis;
    }
    
    int getBestand()
    {
    return bestand;
    }
    
    void mehren(int pStueck)
    {
    bestand = bestand + pStueck;
    }
    
    void mindern(int pStueck)
    {
    if (bestand >= pStueck)
    {
    bestand = bestand - pStueck;
    }
    }
}
